<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button>
      </ion-back-button>
    </ion-buttons>
    <ion-title>Detalhes do bolo</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card>
    <img src="{{ bolo.imagem }}"/>

    <ion-card-header>
      <ion-card-title>{{ bolo.nome }}</ion-card-title>
      <ion-card-subtitle>{{ bolo.descricao }}</ion-card-subtitle>
    </ion-card-header>

    <ion-card-content>
      <ion-grid>
        <ion-row>
          <ion-col size="7">
            <ion-label color="primary">{{ bolo.preco | currency: 'BRL' }}</ion-label>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size="12">
            <ion-item>
              <ion-label>Escolha a quantidade</ion-label>
              <ion-select placeholder="qtde"  [(ngModel)]="qtdeItemPedido"  >
                <ion-select-option [value]="a"  *ngFor="let a of [1,2,3,4,5,6,7,8,9,10]">{{a}}</ion-select-option>
              </ion-select>
            </ion-item> 
            <ion-grid>
              <ion-row>
                <ion-col size="8">
                  <ion-button shape="round" expand="full" (click)="proximoPasso(bolo)" color="success">Comprar</ion-button>
                </ion-col>
                <ion-col size=4>
                  <ion-button shape="round" expand="full" (click)="saveCarrinho(bolo)" color="primary">
                    <ion-icon name="cart"></ion-icon>
                  </ion-button>
                </ion-col>
              </ion-row>
            </ion-grid>

          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-content>
  </ion-card>

</ion-content>